#!/bin/bash

###############################################################
#
#  Kill RHB instance if necessary
#
#

pkill RHB
pkill faster_file_to_rhb

###############################################################
#
#  Display data file content summary
#
#  see in the file :
#	label 1 is CRRC4_SPECTRO
# 	label 1001 is counter ("SPECTRO_COUNTER")
#	label 2001 is oscillo
#

echo "-------------------------------------------------------------------"

faster_disfast  ../crrc4_spectro_data_0001.fast  -I

echo "-------------------------------------------------------------------"

###############################################################
#
#  Send data to RHB at 25Hz
#     => 0.04s delay (1/25)
#     => processus in background (&)
#

faster_file_to_rhb  ../crrc4_spectro_data_0001.fast  0.004 &

###############################################################
#
#  Launch RHB visu
#
#  see .RHBrc         ->  RHB default behaviours
#      FULL.pid       ->  faster data declaration
#      FULL.facqConf  ->  histograms declaration
#      FULL.rhvConf   ->  visualisation configuration
#

RHB  -r







###############################################################

pkill faster_file_to_rhb
